// EDACDgMg.hpp : header file
/////////////////////////////////////////////////////////////////////////////
#ifndef _ED_ACTORS_DIALOG_MESSAGE_
#define _ED_ACTORS_DIALOG_MESSAGE_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "EdAcIRes.h"

/////////////////////////////////////////////////////////////////////////////
// EdActors_Dialog_Message dialog

class EdActors_Dialog_Message : public CDialog
{
// Construction
public:
	// standard constructor
	EdActors_Dialog_Message(CString _csMessage,
													CWnd* pParent = NULL);
	~EdActors_Dialog_Message();

	void m_pub_fn_vDestroy();
	BOOL m_pub_fn_bCreate();

// Dialog Data
	//{{AFX_DATA(EdActors_Dialog_Message)
	enum { IDD = IDD_CAR_D_MESSAGE };
	CString	m_csMessage;
	//}}AFX_DATA

private:
	HINSTANCE hOldInstance;

	unsigned short m_pri_uwMaxNumberOfSpaces;
	unsigned short m_pri_uwCurrentNumberOfSpaces;
	char m_pri_cDelta;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EdActors_Dialog_Message)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(EdActors_Dialog_Message)
	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif //_ED_ACTORS_DIALOG_MESSAGE_
